Loading...
Searching...
No Matches
Catch::Clara::Detail::BoundValueRef< std::vector< T > > Struct Template Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Clara::Detail::BoundValueRef< std::vector< T > >:
[legend]
Collaboration diagram for Catch::Clara::Detail::BoundValueRef< std::vector< T > >:
[legend]

## Public Member Functions

| BoundValueRef (std::vector< T > &ref)
auto | isContainer () const -> bool override
auto | setValue (std::string const &arg) -> ParserResult override
| BoundValueRef (T &ref)
ParserResult | setValue (std::string const &arg) override
Public Member Functions inherited from Catch::Clara::Detail::BoundRef
virtual | ~BoundRef ()=default
virtual bool | isFlag () const

## Public Attributes

std::vector< T > & | m_ref
T & | m_ref

## Additional Inherited Members

Protected Member Functions inherited from Catch::Detail::NonCopyable
| NonCopyable () noexcept=default

## Constructor & Destructor Documentation

## BoundValueRef() [1/2]

template<typename T>

Catch::Clara::Detail::BoundValueRef< std::vector< T > >::BoundValueRef | ( | std::vector< T > & | ref | ) |

inlineexplicit

## BoundValueRef() [2/2]

Catch::Clara::Detail::BoundValueRef< T >::BoundValueRef | ( | T & | ref | ) |

inlineexplicit

## Member Function Documentation

## isContainer()

template<typename T>

auto Catch::Clara::Detail::BoundValueRef< std::vector< T > >::isContainer | ( |  | ) | const -> bool

inlineoverridevirtual

Reimplemented from Catch::Clara::Detail::BoundRef.

## setValue() [1/2]

template<typename T>

auto Catch::Clara::Detail::BoundValueRef< std::vector< T > >::setValue | ( | std::string const & | arg | ) | -> ParserResult

inlineoverridevirtual

Implements Catch::Clara::Detail::BoundValueRefBase.

Here is the call graph for this function:

## setValue() [2/2]

ParserResult Catch::Clara::Detail::BoundValueRef< T >::setValue | ( | std::string const & | arg | ) |

inlineoverridevirtual

Implements Catch::Clara::Detail::BoundValueRefBase.

## Member Data Documentation

## m_ref [1/2]

T& Catch::Clara::Detail::BoundValueRef< T >::m_ref

## m_ref [2/2]

template<typename T>

std::vector<T>& Catch::Clara::Detail::BoundValueRef< std::vector< T > >::m_ref

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp